Cannnot Install PR2-Simulator in Indigo, Unmet dependencies

asked 2016-04-07 03:55:55 -0600

calvintanct gravatar image

I have received this message when i try to install it using

sudo apt-get install ros-indigo-pr2-gazebo

and then i get this

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
 ros-indigo-pr2-gazebo : Depends: gazebo2 but it is not going to be installed
                         Depends: ros-indigo-gazebo-plugins but it is not going to be installed
                         Depends: ros-indigo-pr2-gazebo-plugins but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

What should i do? I tried to install gazebo-plugins and 2 other mentioned in the message but still i cannot install all of them

edit retag flag offensive close merge delete

Comments

I have a similar problem. I'm using OSX and building pr_simulator from source, and I'm having dependency problems.

jemdiggity gravatar imagejemdiggity ( 2016-04-18 14:52:56 -0600 )edit